Name:           upstart
Version:        0.3.9
Release:        alt3
Summary:        An event-driven init system
Packager:       Dmitry M. Maslennikov <rlz at altlinux.org>

Group:          System/Configuration/Boot and Init
License:        GPLv2+
URL:            http://upstart.ubuntu.com
Source0:        http://upstart.ubuntu.com/download/0.3/upstart-%{version}.tar.bz2
Patch0:         upstart-gcc43.patch

BuildRequires:  gettext

#Obsoletes:      SysVinit
Provides:       SysVinit
Requires:       upstart-events

%description
Upstart is an event-based replacement for the /sbin/init daemon which
handles starting of tasks and services during boot, stopping them
during shutdown and supervising them while the system is running.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-compat=sysv --sbindir=/sbin --libdir=/%{_lib}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# libupstart and libnih aren't shipped
rm -f %{buildroot}/%{_lib}/libupstart.*
rm -f %{buildroot}/%{_lib}/libnih.*
rm -f %{buildroot}/%{_includedir}/libnih.h
rm -f %{buildroot}/%{_includedir}/libupstart.h
rm -rf %{buildroot}/%{_includedir}/nih
rm -rf %{buildroot}/%{_includedir}/upstart
rm -rf %{buildroot}/%{_datadir}/aclocal/compiler.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/linker.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/misc.m4

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%doc TODO
%doc HACKING
%{_sysconfdir}/event.d/
%{_sysconfdir}/event.d/logd
/sbin/halt
/sbin/init
/sbin/initctl
/sbin/logd
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/start
/sbin/status
/sbin/stop
/sbin/telinit
%{_mandir}/man8/halt.8.gz
%{_mandir}/man8/init.8.gz
%{_mandir}/man8/initctl.8.gz
%{_mandir}/man8/logd.8.gz
%{_mandir}/man8/poweroff.8.gz
%{_mandir}/man8/reboot.8.gz
%{_mandir}/man8/runlevel.8.gz
%{_mandir}/man8/shutdown.8.gz
%{_mandir}/man8/start.8.gz
%{_mandir}/man8/status.8.gz
%{_mandir}/man8/stop.8.gz
%{_mandir}/man8/telinit.8.gz

%changelog
* Fri Apr 25 2008 Dmitry M. Maslennikov <rlz at altlinux.org> 0.3.9-alt3
- Obsoletes SysVinit has been deleted
- Remove version specification from SysVinit providing

* Wed Apr 23 2008 Dmitry M. Maslennikov <rlz at altlinux.org> 0.3.9-alt2
- Requires to upstart-events has been added

* Mon Apr 21 2008 Dmitry M. Maslennikov <rlz at altlinux.org> 0.3.9-alt1.eter1
- Replace SysVinit package

* Fri Apr 18 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.3.9-alt1
- Initial release for Sisyphus from Ubuntu
